Error upgrading!

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Error upgrading!

Zakai Kinan
I have to upgrade a 2.16 to 2.22 and it did not work.
This configuration is not customized in any way.  I
got the following error:

Checking user setup ...

The following settings in your localconfig file are no
longer used:
  @severities, @priorities, @opsys, @platforms
This data is now controlled through the Bugzilla
administrative interface.
We recommend you remove these settings from
localconfig after checksetup
runs successfully.

The $mysqlpath setting in your localconfig file is no
longer required.
We recommend you remove it.
Creating local attachments directory ...
Repairing .htaccess...
Creating ./data/attachments/.htaccess...
Creating Bugzilla/.htaccess...
The following parameters are no longer used in
Bugzilla, and so have been
moved from your parameters file into old-params.txt:
browserbugmessage, nummilestones, expectbigqueries,
curmilestone, queryagainstshadowdb, usedependencies,
usebuggroupsentry, usebuggroups, useLDAP
Removing existing compiled templates ...
Precompiling templates ...
file error - parse error - list/table.html.tmpl line
39-67: unexpected token (<)
  [% abbrev =
  {
    "bug_severity"         => { maxlength => 3 , title
=> "Sev" } ,
    "priority"             => { maxlength => 3 , title
=> "Pri" } ,
    "rep_platform"         => { maxlength => 3 , title
=> "Plt" } ,
    "bug_status"           => { maxlength => 4 } ,
    "assigned_to"          => { maxlength => 30 ,
ellipsis => "..." } ,
    "assigned_to_realname" => { maxlength => 20 ,
ellipsis => "..." } ,
    "reporter"             => { maxlength => 30 ,
ellipsis => "..." } ,
    "reporter_realname"    => { maxlength => 20 ,
ellipsis => "..." } ,
    "qa_contact"           => { maxlength => 30 ,
ellipsis => "..." , title => "QAContact" } ,
    "qa_contact_realname"  => { maxlength => 20 ,
ellipsis => "..." , title => "QAContact" } ,
    "resolution"        => { maxlength => 4 } ,
    "short_desc"        => { wrap => 1 } ,
    "short_short_desc"  => { maxlength => 60 ,
ellipsis => "..." , wrap => 1 } ,
    "status_whiteboard" => { title => "Whiteboard" ,
wrap => 1 } ,
    "component"         => { maxlength => 8 , title =>
"Comp" } ,
    "product"           => { maxlength => 8 } ,
<<<<<<< table.html.tmpl
    "version"           => { maxlength => 15 , title
=> "Vers" } ,
    "os"                => { maxlength => 4 } ,
=======
    "version"           => { maxlength => 5 , title =>
"Vers" } ,
    "op_sys"            => { maxlength => 4 } ,
>>>>>>> 1.28
    "target_milestone"  => { title => "TargetM" } ,
    "percentage_complete" => { format_value => "%d %%"
} ,


TIA,


ZK


__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around
http://mail.yahoo.com 



_______________________________________________
support-bugzilla mailing list
[hidden email]
https://lists.mozilla.org/listinfo/support-bugzilla
PLEASE put [hidden email] in the To: field when you reply.
Reply | Threaded
Open this post in threaded view
|

Re: Error upgrading!

Lloyd Budd-3
On 5/18/06, Zakai Kinan <[hidden email]> wrote:
> I have to upgrade a 2.16 to 2.22 and it did not work.
> This configuration is not customized in any way.  I
> got the following error:

My general recommendation is upgrading through each of the releases:
2.16 -> 2.18
then
2.18 -> 2.20
then
2.20 -> 2.20

--
Peace be in you,
Lloyd D Budd
http://www.foolswisdom.com/~lloyd/



_______________________________________________
support-bugzilla mailing list
[hidden email]
https://lists.mozilla.org/listinfo/support-bugzilla
PLEASE put [hidden email] in the To: field when you reply.
Reply | Threaded
Open this post in threaded view
|

Re: Error upgrading!

Max Kanat-Alexander
In reply to this post by Zakai Kinan
On Thu, 2006-05-18 at 16:27 -0700, Zakai Kinan wrote:
> <<<<<<< table.html.tmpl
>     "version"           => { maxlength => 15 , title
> => "Vers" } ,
>     "os"                => { maxlength => 4 } ,
> =======
>     "version"           => { maxlength => 5 , title =>
> "Vers" } ,
>     "op_sys"            => { maxlength => 4 } ,
> >>>>>>> 1.28

        You had customized that template, and when you upgraded there were
conflicts. If you saw a "C" in front of any file when you did "cvs
update," you need to resolve all those conflicts. That is, there are two
versions of the code there separated by "========" and you need to have
only one version without all of those ">>>>>>>" and "<<<<<<<<<".

        Or, if you don't want to keep any of your customizations, you can just
delete that file and run "cvs update" again.

        -Max
--
http://www.everythingsolved.com/
Competent, Friendly Bugzilla Services. And Everything Else, too.

_______________________________________________
support-bugzilla mailing list
[hidden email]
https://lists.mozilla.org/listinfo/support-bugzilla
PLEASE put [hidden email] in the To: field when you reply.
Reply | Threaded
Open this post in threaded view
|

Re: Error upgrading!

Zakai Kinan
well good news, I got further along, but still no
sugar.  Now I get this error:  Adding new index
'components_product_id_idx' to the components table
...
Adding new index 'components_name_idx' to the
components table ...
Adding new column last_changed to table groups ...
Removing index 'groups_bit_idx' from the groups
table...
Removing index 'groups_name_idx' from the groups
table...
Adding new column id to table groups ...
Adding new index 'groups_name_idx' to the groups table
...
Adding new column refreshed_when to table profiles ...
<h1>Software error:</h1>
<pre>DBD::mysql::db do failed: Duplicate entry
'1-7-0-1' for key 1 at ./checksetup.pl line 3034
</pre>
<p>
For help, please send mail to this site's webmaster,
giving this error message
and the time and date of the error.

</p>
[Fri May 19 14:58:35 2006] checksetup.pl:
DBD::mysql::db do failed: Duplicate entry '1-7-0-1'
for key 1 at ./checksetup.pl line 3034

P.S.  When I try to upgrade piecemeal that did not
work either.


Thanks again,


ZK

--- Max Kanat-Alexander <[hidden email]> wrote:

> On Thu, 2006-05-18 at 16:27 -0700, Zakai Kinan
> wrote:
> > <<<<<<< table.html.tmpl
> >     "version"           => { maxlength => 15 ,
> title
> > => "Vers" } ,
> >     "os"                => { maxlength => 4 } ,
> > =======
> >     "version"           => { maxlength => 5 ,
> title =>
> > "Vers" } ,
> >     "op_sys"            => { maxlength => 4 } ,
> > >>>>>>> 1.28
>
> You had customized that template, and when you
> upgraded there were
> conflicts. If you saw a "C" in front of any file
> when you did "cvs
> update," you need to resolve all those conflicts.
> That is, there are two
> versions of the code there separated by "========"
> and you need to have
> only one version without all of those ">>>>>>>" and
> "<<<<<<<<<".
>
> Or, if you don't want to keep any of your
> customizations, you can just
> delete that file and run "cvs update" again.
>
> -Max
> --
> http://www.everythingsolved.com/
> Competent, Friendly Bugzilla Services. And
> Everything Else, too.
>
> _______________________________________________
> support-bugzilla mailing list
> [hidden email]
> https://lists.mozilla.org/listinfo/support-bugzilla
> PLEASE put [hidden email] in the
> To: field when you reply.
>


__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around
http://mail.yahoo.com 
_______________________________________________
support-bugzilla mailing list
[hidden email]
https://lists.mozilla.org/listinfo/support-bugzilla
PLEASE put [hidden email] in the To: field when you reply.
Reply | Threaded
Open this post in threaded view
|

Re: Error upgrading!

Zakai Kinan
I am resending this email because I am still having
problems with this upgrade.  I have two more to go.

Thanks for any help,

ZK


> well good news, I got further along, but still no
> sugar.  Now I get this error:  Adding new index
> 'components_product_id_idx' to the components table
> ...
> Adding new index 'components_name_idx' to the
> components table ...
> Adding new column last_changed to table groups ...
> Removing index 'groups_bit_idx' from the groups
> table...
> Removing index 'groups_name_idx' from the groups
> table...
> Adding new column id to table groups ...
> Adding new index 'groups_name_idx' to the groups
> table
> ...
> Adding new column refreshed_when to table profiles
> ...
> <h1>Software error:</h1>
> <pre>DBD::mysql::db do failed: Duplicate entry
> '1-7-0-1' for key 1 at ./checksetup.pl line 3034
> </pre>
> <p>
> For help, please send mail to this site's webmaster,
> giving this error message
> and the time and date of the error.
>
> </p>
> [Fri May 19 14:58:35 2006] checksetup.pl:
> DBD::mysql::db do failed: Duplicate entry '1-7-0-1'
> for key 1 at ./checksetup.pl line 3034
>
> P.S.  When I try to upgrade piecemeal that did not
> work either.
>
>
> Thanks again,
>
>
> ZK
>
> --- Max Kanat-Alexander <[hidden email]> wrote:
>
> > On Thu, 2006-05-18 at 16:27 -0700, Zakai Kinan
> > wrote:
> > > <<<<<<< table.html.tmpl
> > >     "version"           => { maxlength => 15 ,
> > title
> > > => "Vers" } ,
> > >     "os"                => { maxlength => 4 } ,
> > > =======
> > >     "version"           => { maxlength => 5 ,
> > title =>
> > > "Vers" } ,
> > >     "op_sys"            => { maxlength => 4 } ,
> > > >>>>>>> 1.28
> >
> > You had customized that template, and when you
> > upgraded there were
> > conflicts. If you saw a "C" in front of any file
> > when you did "cvs
> > update," you need to resolve all those conflicts.
> > That is, there are two
> > versions of the code there separated by "========"
> > and you need to have
> > only one version without all of those ">>>>>>>"
> and
> > "<<<<<<<<<".
> >
> > Or, if you don't want to keep any of your
> > customizations, you can just
> > delete that file and run "cvs update" again.
> >
> > -Max
> > --
> > http://www.everythingsolved.com/
> > Competent, Friendly Bugzilla Services. And
> > Everything Else, too.
> >
> > _______________________________________________
> > support-bugzilla mailing list
> > [hidden email]
> >
> https://lists.mozilla.org/listinfo/support-bugzilla
> > PLEASE put [hidden email] in
> the
> > To: field when you reply.
> >
>
>
> __________________________________________________
> Do You Yahoo!?
> Tired of spam?  Yahoo! Mail has the best spam
> protection around
> http://mail.yahoo.com 
> _______________________________________________
> support-bugzilla mailing list
> [hidden email]
> https://lists.mozilla.org/listinfo/support-bugzilla
> PLEASE put [hidden email] in the
> To: field when you reply.
>


__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around
http://mail.yahoo.com 
_______________________________________________
support-bugzilla mailing list
[hidden email]
https://lists.mozilla.org/listinfo/support-bugzilla
PLEASE put [hidden email] in the To: field when you reply.